"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.arraySize = void 0;
/**
 * @category Predicates
 * @param value The value to validate.
 * @param size The size of the array that is allowed.
 */
function arraySize(value, size) {
    if (typeof size !== 'number' || !Number.isFinite(size)) {
        throw new TypeError('Parameter "size" must be a finite number');
    }
    return Array.isArray(value) && value.length === size;
}
exports.arraySize = arraySize;
