import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const IS_BIGINT = "isBigInt";
/**
 * Checks if the given value is a [BigInt](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/BigInt).
 *
 * #### Example
 * ```typescript
 * // Ensure the value is a BigInt.
 * @IsBigInt()
 * hugeNumber: BigInt
 * ```
 *
 * @category Type
 * @param options Generic class-validator options.
 */
export declare function IsBigInt(options?: ValidationOptions): PropertyDecorator;
