"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maxBigInt = void 0;
const is_bigint_1 = require("../../bigint/is-bigint");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param maximum The maximum allowed value.
 */
function maxBigInt(value, maximum) {
    if (!(typeof maximum === 'bigint' || (typeof maximum === 'number' && Number.isFinite(maximum)))) {
        throw new TypeError('Parameter "maximum" must be a finite number');
    }
    return (0, is_bigint_1.isBigInt)(value) && value <= BigInt(maximum);
}
exports.maxBigInt = maxBigInt;
