"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.minBigInt = void 0;
const is_bigint_1 = require("../../bigint/is-bigint");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param minimum The minimum allowed value.
 */
function minBigInt(value, minimum) {
    if (!(typeof minimum === 'bigint' || (typeof minimum === 'number' && Number.isFinite(minimum)))) {
        throw new TypeError('Parameter "minimum" must be a finite number');
    }
    return (0, is_bigint_1.isBigInt)(value) && value >= BigInt(minimum);
}
exports.minBigInt = minBigInt;
