import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const NEGATIVE_BIGINT = "negativeBigInt";
/**
 * Checks if the given value is a [BigInt](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/BigInt)
 * less than zero.
 *
 * #### Example
 * ```typescript
 * // Ensure the value is less than 0.
 * @NegativeBigInt()
 * negativeNumber: BigInt
 * ```
 *
 * @category BigInt
 * @param options Generic class-validator options.
 */
export declare function NegativeBigInt(options?: ValidationOptions): PropertyDecorator;
