import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const POSITIVE_BIGINT = "positiveBigInt";
/**
 * Checks if the given value is a [BigInt](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/BigInt)
 * greater than zero.
 *
 * #### Example
 * ```typescript
 * // Ensure the value is greater than 0.
 * @PositiveBigInt()
 * positiveNumber: BigInt
 * ```
 *
 * @category BigInt
 * @param options Generic class-validator options.
 */
export declare function PositiveBigInt(options?: ValidationOptions): PropertyDecorator;
