"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDuration = void 0;
const dayjs_1 = __importDefault(require("dayjs"));
/** @hidden */
function createDuration(value) {
    if (!('isDuration' in dayjs_1.default)) {
        throw new Error('The Dayjs "duration" plugin is not loaded.');
    }
    if (dayjs_1.default.isDuration(value)) {
        return value;
    }
    else if (Array.isArray(value)) {
        return dayjs_1.default.duration(...value);
    }
    else if (typeof value === 'string') {
        return dayjs_1.default.duration(value);
    }
    else {
        return dayjs_1.default.duration(value);
    }
}
exports.createDuration = createDuration;
