"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDuration = void 0;
const dayjs_1 = __importDefault(require("dayjs"));
const is_valid_duration_1 = require("../is-valid-duration");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param options Additional options (see {@link IsDuration}).
 */
function isDuration(value, options) {
    if (!('isDuration' in dayjs_1.default)) {
        throw new Error('The Dayjs "duration" plugin is not loaded.');
    }
    return dayjs_1.default.isDuration(value) && ((options === null || options === void 0 ? void 0 : options.allow_invalid) || (0, is_valid_duration_1.isValidDuration)(value));
}
exports.isDuration = isDuration;
