"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapContains = void 0;
const is_map_1 = require("../../map/is-map");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param required List of mandatory values for this map.
 * @typeParam Value The type of values to check for.
 */
function mapContains(value, required) {
    if (!(0, is_map_1.isMap)(value)) {
        return false;
    }
    const values = new Set(value.values());
    return [...required].every(item => values.has(item));
}
exports.mapContains = mapContains;
