"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapMinSize = void 0;
const is_map_1 = require("../../map/is-map");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param minimum The minimum size of the map that is allowed.
 */
function mapMinSize(value, minimum) {
    if (typeof minimum !== 'number' || !Number.isFinite(minimum)) {
        throw new TypeError('Parameter "minimum" must be a finite number');
    }
    return (0, is_map_1.isMap)(value) && value.size >= minimum;
}
exports.mapMinSize = mapMinSize;
