"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapNotContainsKeys = void 0;
const is_map_1 = require("../../map/is-map");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param forbidden List of forbidden key values for this map.
 * @typeParam Key The type of keys to check for.
 */
function mapNotContainsKeys(value, forbidden) {
    return (0, is_map_1.isMap)(value) && [...forbidden].every(item => !value.has(item));
}
exports.mapNotContainsKeys = mapNotContainsKeys;
