import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const MAP_NOT_EMPTY = "mapNotEmpty";
/**
 * Checks if the given value is a [Map](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Map)
 * with at least one entry.
 *
 * #### Example
 * ```typescript
 * // Ensure the map is not empty.
 * @MapNotEmpty()
 * values: Map
 * ```
 *
 * @category Map
 * @param options Generic class-validator options.
 */
export declare function MapNotEmpty(options?: ValidationOptions): PropertyDecorator;
