"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapSize = void 0;
const is_map_1 = require("../../map/is-map");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param size The size of the map that is allowed.
 */
function mapSize(value, size) {
    if (typeof size !== 'number' || !Number.isFinite(size)) {
        throw new TypeError('Parameter "size" must be a finite number');
    }
    return (0, is_map_1.isMap)(value) && value.size === size;
}
exports.mapSize = mapSize;
