/**
 * @category Predicates
 * @param value The value to validate.
 * @param projection The function mapping each key to the value that is used for the uniqueness check.
 * @typeParam Key The type of the map's keys.
 * @typeParam Projection The type returned by `projection`.
 */
export declare function mapUniqueKeys<Key, Projection>(value: unknown, projection: (item: Key) => Projection): value is Map<unknown, unknown>;
