/**
 * @category Predicates
 * @param value The value to validate.
 * @param projection The function mapping each value to the value that is used for the uniqueness check.
 * @typeParam Value The type of the map's values.
 * @typeParam Projection The type returned by `projection`.
 */
export declare function mapUnique<Value, Projection>(value: unknown, projection: (item: Value) => Projection): value is Map<unknown, unknown>;
