"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setMinSize = void 0;
const is_set_1 = require("../../set/is-set");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param minimum The minimum size of the set that is allowed.
 */
function setMinSize(value, minimum) {
    if (typeof minimum !== 'number' || !Number.isFinite(minimum)) {
        throw new TypeError('Parameter "minimum" must be a finite number');
    }
    return (0, is_set_1.isSet)(value) && value.size >= minimum;
}
exports.setMinSize = setMinSize;
