import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const SET_NOT_EMPTY = "setNotEmpty";
/**
 * Checks if the given value is a [Set](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Set)
 * with at least one value.
 *
 * #### Example
 * ```typescript
 * // Ensure the set is not empty.
 * @SetNotEmpty()
 * values: Set<string>
 * ```
 *
 * @category Set
 * @param options Generic class-validator options.
 */
export declare function SetNotEmpty(options?: ValidationOptions): PropertyDecorator;
