"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setSize = void 0;
const is_set_1 = require("../../set/is-set");
/**
 * @category Predicates
 * @param value The value to validate.
 * @param size The size of the set that is allowed.
 */
function setSize(value, size) {
    if (typeof size !== 'number' || !Number.isFinite(size)) {
        throw new TypeError('Parameter "size" must be a finite number');
    }
    return (0, is_set_1.isSet)(value) && value.size <= size;
}
exports.setSize = setSize;
