import type { ValidationOptions } from 'class-validator';
/** @hidden */
export declare const IS_TIMEZONE = "isTimezone";
/**
 * Checks if the given value is a valid timezone string.
 *
 * Uses [Intl](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl) internally for
 * validation.
 *
 * #### Example
 * ```typescript
 * // Ensure the value is a valid timezone.
 * @IsTimezone()
 * timezone: string = 'Pacific/Guam'
 * ```
 *
 * @category String
 * @param options Generic class-validator options.
 */
export declare function IsTimezone(options?: ValidationOptions): PropertyDecorator;
