"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isTimezone = void 0;
/**
 * @category Predicates
 * @param value The value to validate.
 */
function isTimezone(value) {
    if (typeof value !== 'string') {
        return false;
    }
    try {
        new Intl.DateTimeFormat('default', { timeZone: value });
        return true;
    }
    catch (error) {
        if (error instanceof RangeError && /Invalid time zone/.test(error.message)) {
            return false;
        }
        throw error;
    }
}
exports.isTimezone = isTimezone;
